%define kdeprefix /usr
%define qtdir /usr/lib/qt-1.45

Summary: ksnuffle
Name: ksnuffle
Version: 0.7
Release: 6
Copyright: GPL
Group: System Environment/Daemons
Source: ftp://195.92.31.34/pub/ksnuffle-0.7/%{name}-%{version}.tgz
Patch0: ksnuffle-0.7-glibc22.patch
Patch1: ksnuffle-0.7-libpcap.patch
Patch2: ksnuffle-0.7-config.patch
Url: http://www.quaking.demon.co.uk/ksnuffle.html
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: qt1x-devel, kdelibs-devel
Requires: kdelibs qt1x
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
Prefix: %{kdeprefix}
ExcludeArch: ia64

%description
Ksnuffle is a network packet sniffer for KDE. This version was
built with KDE 1.1.2 and QT 1.45.

%prep
%setup -q
%patch0 -p1 -b .glibc22
%patch1 -p1 -b .pcap
#%patch2 -p1 -b .config

%build
export QTDIR=%{qtdir} MOC=%{qtdir}/bin/moc KDEDIR=%{kdeprefix}
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif

FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"
make -f Makefile.dist

cd libpcap-0.4
%configure
cd ..

[ -f configure.in ] && libtoolize --copy --force
./configure --prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT

make -j $CPUS install_root=

%install
rm -rf $RPM_BUILD_ROOT

make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- rebuilt against the kdelibs-1.1.2

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against with compat-libstdc++

*  Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with compat-egcs-c++ 1.1.2

* Tue Jun 13 2000 Than Ngo <than@redhat.de>
- rebuilt for 7.0
- clean up specfile
- use %%configure, %%makeinstall
- fix to built with glibc-2.2

* Sun May 04 2000 Karsten Hopp <karsten@redhat.de>
- update to version 0.7. 0.3 had a big security hole

* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- strip binaries

* Fri Jan 28 2000 Tim Powers <timp@redhat.com>
- started changelog, changed group, added defattr line to files section.
